com.io7m.r2.core

## Interface R2TranslucentRendererType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType
  All Known Implementing Classes:
    R2TranslucentRenderer

      public interface R2TranslucentRendererType
      extends R2DeletableType

  The type of translucent renderers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderTranslucents(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, Optional<R2ImageBufferUsableType> ibuffer, com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2ShadowMapContextUsableType shadows, R2MatricesObserverType m, List<R2TranslucentType<?>> s)` Render the given translucents into the given image buffer.

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### renderTranslucents

          void renderTranslucents(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                  Optional<R2ImageBufferUsableType> ibuffer,
                                  com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                                  com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                  R2ShadowMapContextUsableType shadows,
                                  R2MatricesObserverType m,
                                  List<R2TranslucentType<?>> s)

      Render the given translucents into the given image buffer.

      If an image buffer is provided, it will be bound before evaluation and left bound after the method returns.

      Parameters:
        `area` - The output viewport
        `ibuffer` - The output image buffer
        `pc` - A profiling context
        `uc` - A texture unit context
        `shadows` - A set of rendered shadow maps
        `m` - A matrix context
        `s` - The translucents

Copyright © 2017 <code@io7m.com> http://io7m.com